libxslt (1.1.39-0exp1ubuntu4.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Denial of service in psvi memory field.
    - debian/patches/CVE-2025-7424-*.patch: Change logic of tctxt->style->doc
      in libxslt/functions.c, add libxslt/transformInternals.h, add new build
      sections to include file in CMakeLists.txt and libxslt/Makefile.am.
    - CVE-2025-7424

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 06 Jan 2026 10:10:26 -0330

libxslt (1.1.39-0exp1ubuntu4) plucky; urgency=medium

  * SECURITY UPDATE: use-after-free via nested XPath evaluations
    - debian/patches/CVE-2025-24855.patch: properly handle XPath context
      nodes and transformation context nodes in libxslt/numbers.c,
      libxslt/templates.c, libxslt/xsltutils.c.
    - CVE-2025-24855

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Mar 2025 12:45:49 -0400

libxslt (1.1.39-0exp1ubuntu3) plucky; urgency=medium

  * SECURITY UPDATE: use-after-free via exclusion of result prefixes
    - debian/patches/CVE-2024-55549.patch: store string in stylesheet's
      dict to avoid use after free in libxslt/xslt.c.
    - CVE-2024-55549

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Mar 2025 10:22:08 -0400

libxslt (1.1.39-0exp1ubuntu2) plucky; urgency=medium

  * No change rebuild against libxml 2.12.7+dfsg+really2.9.14-0.2build1
    (LP: #2089307).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 03 Dec 2024 15:39:12 +1300

libxslt (1.1.39-0exp1ubuntu1) oracular; urgency=medium

  * debian: Backport patch to find libgcrypt again

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 21 Aug 2024 16:45:35 +0200

libxslt (1.1.39-0exp1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:02:49 +0000

libxslt (1.1.39-0exp1) experimental; urgency=medium

  * New upstream version 1.1.39
  * Drop patch merged upstream, update other ones
  * Update std-ver to 3.6.2, no change required
  * Override source-is-missing lintian warning
  * d/rules: install README.md
  * d/rules: remove override_dh_installchangelogs
  * Update documentation files and doc-base registration
  * d/control: replace pkg-config with pkgconf

 -- Aron Xu <aron@debian.org>  Wed, 28 Feb 2024 15:26:07 +0800

libxslt (1.1.35-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.35.
  * Refresh patches.
  * Update Homepage and d/watch to point to the new GNOME-based home
  * d/*.doc-base: rename the document name, it shouldn't match the binary
    package name.
  * Install the new gtk-doc documentation.
  * Do not install the .cmake file that come with the new version.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 15 Jul 2022 15:29:07 +0200

libxslt (1.1.34-4) unstable; urgency=medium

  * Team upload.
  * Add patch to make the xslt-config script compatible with multi-arch.
    Closes: #952768

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Mar 2020 14:02:32 +0100

libxslt (1.1.34-3) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix FTBFS when built twice in a row.  Closes: #947914
    (Add build-dependency on docbook-xsl for this.)

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 22 Feb 2020 15:28:46 +0100

libxslt (1.1.34-2) unstable; urgency=medium

  * Team upload.
  * Re-add the xslt-config script for now.
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 21 Feb 2020 14:24:17 +0100

libxslt (1.1.34-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.1.34.
  * Refresh patches
  * d/libxslt1.1.symbols: Add new symbols.
  * d/control:
    + Bump debhelper compat level to 12.
    + Bump Standards-Version to 4.4.1, no changes needed.
  * Stop building and installing the static library.
  * Stop installing xslt-config, please use pkg-config.
  * Drop Python2 packages.  Closes: #936942
  * Make use of dh_missing --fail-missing:
    + Leave the docs files where the upstream build system put them, and just
      move them into the right package.  All the documentation was this way
      moved into an extra html/ directory.
    + Installs files in a way that lets dh_missing detect them as installed.
     + d/not-installed: list xslt-config.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Nov 2019 19:22:08 +0100

libxslt (1.1.32-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix dangling pointer in xsltCopyText (CVE-2019-18197) (Closes: #942646)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Oct 2019 21:21:23 +0200

libxslt (1.1.32-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix security framework bypass (CVE-2019-11068) (Closes: #926895, #933743)
  * Fix uninitialized read of xsl:number token (CVE-2019-13117)
    (Closes: #931321, #933743)
  * Fix uninitialized read with UTF-8 grouping chars (CVE-2019-13118)
    (Closes: #931320, #933743)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 04 Aug 2019 08:14:05 +0200

libxslt (1.1.32-2) unstable; urgency=medium

  * Team upload.
  * Add missing Build-Depends on pkg-config.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 23:12:37 +0200

libxslt (1.1.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.32.
  * d/patches:
    + Remove patches applied upstream.
    + Rebase the remaining patches.
  * Drop old debian/TODO file.
  * d/rules: include workaround that should make the package build on kfreebsd.
    Closes: #840096
  * d/control:
    + Bump Standards-Version to 4.1.4, no changes needed.
    + Move Vcs-* to salsa.debian.org.
  * d/libxslt1.1.symbols:
    + Add new symbols added in this release.
    + Remove symbols that were accidentally exported in previous releases.
  * Bump debhelper compat level to 11.
  * Drop the libxslt1-dbg package in favour of automatic dbgsym packages.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 14:47:56 +0200

libxslt (1.1.29-5) unstable; urgency=medium

  * Team upload.
  * Refresh patches using Gbp Pq.
  * Add patch from upstream to fix FTBFS in ia64.  Closes: #881818
  * Declare that libxslt can be built without root, R³:no.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 15 Nov 2017 16:27:00 +0100

libxslt (1.1.29-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Add patch from upstream to fix FTBFS with glibc 2.26.  Closes: #880038

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 05 Nov 2017 13:36:40 +0100

libxslt (1.1.29-3) experimental; urgency=medium

  * Team upload.
  * d/upstream/signing-key.asc: add Daniel Veillard's gpg key to allow
    cryptographic verification of the upstream tarballs.
  * d/patches/0003-fix-typo.patch: forward to upstream.
  * d/control: Bump Standards-Version to 4.1.1:
    + Move packages from the deprecated section:extra to section:optional.
  * d/rules:
    + Use /usr/share/dpkg/architecture.mk instead of calling dpkg-architecture.
    + Let dh_auto_configure deal with buildflags from the environment, and
      use dpkg-buildflags to set -Wl,--as-needed.
    + Move xsltconfig.h to a multi-arch location.  Closes: #834714
      Thanks to Hugh McMaster <hugh.mcmaster@outlook.com> for the initial patch.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 28 Oct 2017 15:04:16 +0200

libxslt (1.1.29-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends on rename, fixes FTBFS, thanks Adrian Bunk (Closes: #876601)
  * Build-Depends on libgcrypt20-dev instead of transitional libgcrypt11-dev,
    thanks Andreas Metzler (Closes: #864120)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #841384)
    + Drop unsatisfiable binutils dependency: Always satisfied natively even
      in wheezy.
    + Use cross-compatible python Build-Depends.
    + Annotate Build-Depends: perl with :any.
    + Do not pass CC=cc to configure.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 13 Oct 2017 01:03:29 +0200

libxslt (1.1.29-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Check for integer overflow in xsltAddTextString (CVE-2017-5029)
    (Closes: #858546)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 26 Mar 2017 19:44:01 +0200

libxslt (1.1.29-2) unstable; urgency=high

  * Team upload.
  * Bump debhelper compat level to 10.
    + --parallel is now default
    + --with autoreconf is now default
  * Add patch from upstream to fix a heap overread which could cause remote
    arbitrary code execution or denial of service.
    Closes: #842570 — CVE-2016-4738

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 Oct 2016 14:01:00 +0000

libxslt (1.1.29-1) unstable; urgency=medium

  * Imported Upstream version 1.1.29 (Closes: #826446)
  * Remove patches which have been merged upstream
  * Remove plugin option in xslt-config as it has arch-dep string
  * Link libxslt with libm (Closes: #801989, #721602)
  * Add --parallel in debian/rules.

 -- YunQiang Su <syq@debian.org>  Wed, 17 Aug 2016 15:30:11 +0800

libxslt (1.1.28-4) unstable; urgency=medium

  * Team upload.
  * Replace the SOURCE_DATE_EPOCH patch with the one actually committed upstream

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 20 May 2016 09:33:00 +0000

libxslt (1.1.28-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Upload to unstable.
  * Bump std-version to 3.9.8.
  * Acknowledge previous NMU, thanks carnil!
  * Add dh-python to build-depends

  [ Jérémy Bobbio ]
  * Add a patch from upstream to make generate-id() provide stable IDs.
    Thanks to Daniel Veillard.  Closes: #823857

  [ Dhole ]
  * Honour SOURCE_DATE_EPOCH when embedding timestamps in docs.  Closes: #791815

  [ Mattia Rizzolo ]
  * Run wrap-and-sort.
  * Use HTTPS in Vcs-* fields.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 09 May 2016 20:18:36 +0000

libxslt (1.1.28-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add 0009-Fix-for-type-confusion-in-preprocessing-attributes.patch patch.
    CVE-2015-7995: Type confusion in preprocessing attributes leading to
    denial of service. (Closes: #802971)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 30 Oct 2015 08:46:43 +0100

libxslt (1.1.28-2) unstable; urgency=low

  * debian/patches/000[4-8].patch:
    Upstream post release patches.

 -- Aron Xu <aron@debian.org>  Thu, 01 Aug 2013 13:55:48 +0800

libxslt (1.1.28-1) experimental; urgency=low

  [ YunQiang Su ]
  * Imported Upstream version 1.1.28
  * Workaround xsltMaxVars version number (Closes: #698955)
  * Refresh patches
  * Correct email address of YunQiang Su
  * Mark libxslt1-dev as Multi-Arch: same (Closes: #689091)

  [ Aron Xu ]
  * Use canonical VCS-* fields.
  * Remove unused override: python-libxslt1-dbg: hardening-no-relro

 -- Aron Xu <happyaron.xu@gmail.com>  Thu, 01 Aug 2013 13:45:01 +0800

libxslt (1.1.27-1) experimental; urgency=low

  * New upstream release (Closes: #448205, #683353)
  * debian/rules:
    + Add hardening flags for dbg package in LDFLAGS (Closes: #681163)
  * debian/control:
    - std-ver: 3.9.3 -> 3.9.4, no change required.

 -- Aron Xu <aron@debian.org>  Wed, 03 Oct 2012 00:22:53 +0800

libxslt (1.1.26-13) unstable; urgency=low

  * Patch to fix CVE-2012-2825 (Closes: #679283).

 -- Aron Xu <aron@debian.org>  Thu, 05 Jul 2012 11:09:19 +0800

libxslt (1.1.26-12) unstable; urgency=low

  [ Aron Xu ]
  * New maintainer (Closes: #654177)
  * debian/rules: small improvements, stop shipping .la files.
  * debian/control: mark libxslt1-dev as not M-A (Closes: #671902).

  [ YunQiang Su ]
  * Convert to 3.0 source format.
  * Byte-compile Python modules again (Closes: #671901).

 -- Aron Xu <aron@debian.org>  Tue, 29 May 2012 00:31:36 +0800

libxslt (1.1.26-11) unstable; urgency=low

  * QA upload.
  * Bump standards version to 3.9.3.
  * Apply Steve Langasek's patch to enable multiarch (closes: #643034).
  * Fix cve-2011-3970: out-of-bounds array access issue (closes: #660650).
  * Bump debian/compat to 9 and enable hardened build flags (closes: #655601).
  * Eliminate system config.sub and config.guess from the debian diff
    (closes: #670799).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 May 2012 20:35:38 -0400

libxslt (1.1.26-10) unstable; urgency=low

  * QA upload.
  * Fix building for real: (Closes: #666333)
    - make(1) targets accumulate, they do not replace
    - You absolutely must not have a build-% (wildcard) target!
    - Never have a directory (or file) with the same name as a
      (phony) target, as it *will* prevent the target from being
      run while that file/directory exists, with varying messages
    => rename ./build/ to builddir and build-% to dobuild-%
    Discovered while trying to hand-fix an m68k build.
  * Throw in some lintian fixes (manpage, spelling) for good measure.

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 06 May 2012 16:02:55 +0000

libxslt (1.1.26-9) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>
  * Clear uploaders
  * Fix building with build-arch. Closes: 666333.

 -- Peter Michael Green <plugwash@p10link.net>  Tue, 24 Apr 2012 23:23:50 +0000

libxslt (1.1.26-8) unstable; urgency=low

  * debian/rules:
    - Empty dependency_libs in .la files. Closes: #633337.
    - Add --with python2 to dh call.
  * debian/control:
    - Remove build dependency on python-support.
    - Build depend on python-all-dev >= 2.6.6-3~.
    - Remove XB-Python-Version header.
    - Bump Standards-Version to 3.9.2.0. No changes required.
  * debian/pycompat: Removed.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Jul 2011 11:59:25 +0200

libxslt (1.1.26-7) unstable; urgency=low

  * libxslt/functions.c: Fix generate-id() to not expose object addresses.
    Closes: #617413. Fixes: CVE-2011-1202.

 -- Mike Hommey <glandium@debian.org>  Fri, 18 Mar 2011 16:11:19 +0100

libxslt (1.1.26-6) unstable; urgency=low

  * debian/python-libxslt1-dbg.preinst: Add preinst snippet to remove
    /usr/share/doc/python-libxslt1-dbg symlink on Ubuntu. This is an
    Ubuntu-only fix, but allows Ubuntu to just use the Debian package
    without further modifications.
    Closes: #587910.

 -- Mike Hommey <glandium@debian.org>  Thu, 26 Aug 2010 11:42:01 +0200

libxslt (1.1.26-5) unstable; urgency=low

  * debian/rules: Avoid possible renaming of _d.so files to _d_d.so files in
    the install-python%-dbg rules.
  * debian/control:
    - Add missing dependency on python-libxml2-dbg to python-libxslt1-dbg.
    - Remove old Conflicts/Replaces for packages that have disappeared before
      etch.
    - Bump Standards-Version to 3.9.0.0.
    - Add Homepage.
    - Add Vcs-{Git,Browser} fields.

 -- Mike Hommey <glandium@debian.org>  Tue, 29 Jun 2010 12:38:30 +0200

libxslt (1.1.26-4) unstable; urgency=low

  * debian/rules:
    - Refactor configure-% and build-% rules.
    - Hack to link with -Wl,--as-needed.
  * debian/python-libxslt1.install: Don't hardcode site-/dist-packages in
    .install. Cope with builds which don't have any dist-packages (or
    site-packages) based python versions. Thanks Loïc Minier.
  * debian/control:
    - Add missing XB-Python-Version to python-libxslt1.
    - Mention the version of XSLT implemented. Closes: #579244.
    - Fix typo in libxslt1-dev package description. Closes: #579241.
  * debian/control, debian/python-libxslt1-dbg.install, debian/rules: Add a
    python-libxslt1-dbg package.
  * doc/xsltproc.xml, doc/xsltproc.1: Document what happens when there is
    no output and -o is specified. Closes: #539890.

 -- Mike Hommey <glandium@debian.org>  Mon, 28 Jun 2010 19:10:30 +0200

libxslt (1.1.26-3) unstable; urgency=low

  * debian/compat: Switch to debhelper compat level 7.
  * debian/control: Build depend on debhelper >= 7.0.50~.
  * debian/rules:
    + Remove old source and diff rules. They only displayed a message
      inviting to use dpkg-source -b.
    + Remove workarounds for modified and deleted files. The modified file
      is not modified anymore, and as we're not using svn-buildpackage we
      also don't care about deleted files anymore.
    + Trust dpkg-buildpackage to set the CFLAGS.
    + Change the way python libs are built. We now use configure to set
      different environment with and without python, and arrange things so
      that we don't have to build the base libxslt library several times.
    + Use a common cache for main and python configure passes.
    + Modify libexslt.la in place in debian/tmp.
    + Switch to dh.
    + Deduplicate in /usr/lib/pyshared, not
      /usr/lib/python-support/python-libxslt1.
  * debian/python-libxslt1.install: Install python files from
    /usr/lib/python*/dist-packages.
  * python/Makefile.am, python/Makefile.in, python/generator.py: Don't
    generate python API intermediate files in $srcdir.
  * debian/libxslt1-dev.install: Install libexslt.la with dh_install.

 -- Mike Hommey <glandium@debian.org>  Fri, 09 Apr 2010 15:18:51 +0200

libxslt (1.1.26-2) unstable; urgency=low

  * debian/control:
    + Add missing ${misc:Depends}.
    + Bump Standards-Version to 3.8.4.0.
    + Put libxslt1-dbg in section debug.
  * debian/libxslt1-dev.install: Install /usr/share/aclocal files.
    Closes: #569066.
  * debian/rules, debian/libxslt1.1.symbols: Add symbols file and bump
    shlibs. Closes: #563399.

 -- Mike Hommey <glandium@debian.org>  Mon, 22 Feb 2010 10:57:27 +0100

libxslt (1.1.26-1) unstable; urgency=low

  * New upstream release.
    + Allow both --xinclude and --output options at the same time in xsltproc.
      Closes: #497585.

 -- Mike Hommey <glandium@debian.org>  Fri, 25 Sep 2009 22:42:15 +0200

libxslt (1.1.24-2) unstable; urgency=high

  * libexslt/crypto.c: Apply upstream fix for CVE-2008-2935. Closes: #493162.

 -- Mike Hommey <glandium@debian.org>  Sun, 03 Aug 2008 09:03:42 +0200

libxslt (1.1.24-1) unstable; urgency=high

  * New upstream release.
  * Fix for CVE-2008-1767: buffer overflow in pattern.c. Closes: #482664.

 -- Mike Hommey <glandium@debian.org>  Sun, 25 May 2008 16:24:29 +0200

libxslt (1.1.23-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bumped Standards-Version to 3.7.3.0. No changes.
    + Use ${binary:Version} instead of ${Source-Version}.
    + Fixed spelling error for "Python".
  * debian/rules:
    + Make dpkg-shlibdeps fail when symbols are missing.
    + Don't ignore make distclean errors.
  * debian/copyright: Convert to UTF-8.
  * debian/libxslt1-dev.doc-base: Changed section to fit doc-base sections
    changes.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Apr 2008 12:31:17 +0200

libxslt (1.1.22-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sun, 26 Aug 2007 11:26:23 +0200

libxslt (1.1.21-2) unstable; urgency=low

  * libxslt/xslt.c: Removed the exclude-result-prefix change making some
    transformations crash. This reversal has also been done upstream.
    Closes: #434300.

 -- Mike Hommey <glandium@debian.org>  Thu, 26 Jul 2007 22:14:38 +0200

libxslt (1.1.21-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Leave shlibs version to >= 1.1.18: no new symbols.

 -- Mike Hommey <glandium@debian.org>  Wed, 13 Jun 2007 21:46:15 +0200

libxslt (1.1.20-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Leave shlibs version to >= 1.1.18, since the only added
    symbols are not supposed to be used (i.e. documented as such), but are
    necessary for libexslt.

 -- Mike Hommey <glandium@debian.org>  Sun, 08 Apr 2007 16:29:27 +0200

libxslt (1.1.19-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Set shlibs version to >= 1.1.18.
  * libxslt/transform.c: Patch from upstream CVS to fix hangs and segfaults
    when processing XCB protocol definitions. Closes: #398327, again.

 -- Mike Hommey <glandium@debian.org>  Fri,  1 Dec 2006 19:13:58 +0100

libxslt (1.1.18-3) unstable; urgency=low

  * libxslt/variables.c: Patch from upstream CVS to fix hangs and segfaults
    when processing XCB protocol definitions. Closes: #398327.
  * libxslt/transform.c: Added a missing * to the previous patch. No real
    problem posed by it missing, but since upstream applied the patch with
    it and it's cleaner...

 -- Mike Hommey <glandium@debian.org>  Sat, 25 Nov 2006 10:32:24 +0100

libxslt (1.1.18-2) unstable; urgency=high

  * libxslt/transform.c:
    + Don't lose context namespaces in some recursive cases. Closes: #399010
    + Took patch from upstream CVS for copy-of issue with entities.
      Closes: #397395
  * Set urgency to high since we fix RC regressions.

 -- Mike Hommey <glandium@debian.org>  Tue, 21 Nov 2006 00:42:01 +0100

libxslt (1.1.18-1) unstable; urgency=low

  * New upstream release:
    + Fixes xsl:variable with node sets. Closes: #381597.
    + Honors disable-output-escaping in xhtml 1.0 style element.
      Closes: #395210.
    + Supports XInclude processing on XSL stylesheets. Closes: #395210.
    + Correctly handles xsl:param names with namespaces. Closes: #389023.
  * debian/control:
    + Bumped Standards-Version to 3.7.2.2. No changes required.
    + Build depend on libxml2 >= 2.6.27, and adapt other dependencies
      accordingly.

 -- Mike Hommey <glandium@debian.org>  Fri, 27 Oct 2006 18:30:38 +0200

libxslt (1.1.17-5) unstable; urgency=low

  * xsltproc/xsltproc.c: Reverted patch to allow xsltproc to do XInclude
    processing. Closes: #389694. Reopens: #383408.

 -- Mike Hommey <glandium@debian.org>  Wed,  4 Oct 2006 16:57:08 +0200

libxslt (1.1.17-4) unstable; urgency=low

  * xsltproc/xsltproc.c: Return an error code 11 if there was an error while
    writing the output file. Note that this doesn't make a difference between
    permission error, parent directory existance or out of space errors.
    Closes: #356486.
  * doc/xsltproc.1, doc/xsltproc.html, doc/xsltproc.xml: Updated documentation
    accordingly.
  * xsltproc/xsltproc.c: Applied patch from upstream CVS to allow xsltproc to
    do XInclude processing. Closes: #383408.

 -- Mike Hommey <glandium@debian.org>  Sat, 26 Aug 2006 12:12:59 +0200

libxslt (1.1.17-3) unstable; urgency=medium

  * debian/libxslt1.install: Really removed.
  * debian/control:
    + Force build against latest libxml2 with "hacked" .la file so that
      libxslt's .la file doesn't contain spurious dependencies.
    + Bump Standards-Version to 3.7.2.1: no changes required.
  * debian/libxslt-dev.install: Don't install libexslt.la.
  * debian/rules: Filter out dependency_libs in libexslt.la.
    The 2 latter changes fix build issues with libtool, though it breaks
    static linking with libtool, which was already broken by libxml2 anyway.
    We recommend the use of pkg-config --static --libs instead.
    Closes: #379714.
  * xst-config.in: Fix --static output to use xml2-config.

 -- Mike Hommey <glandium@debian.org>  Thu,  3 Aug 2006 07:36:17 +0200

libxslt (1.1.17-2) unstable; urgency=low

  * The slithering release.

  * debian/python-libxslt1.examples.in: Renamed to
    debian/python-libxslt1.examples
  * debian/python-libxslt1.install.in: Renamed to
    debian/python-libxslt1.install, and replaced PYVERS by a wildcard.
  * debian/control:
    + Adapted dependencies to fit all changes.
    + Added fields required by new Python policy.
    + Added fields necessary for flawless transition.
    + Replaced dummy python-libxslt1 package by a full real package which
      itself replaces python2.x-libxslt1 packages, depending on
      python-libxml2.
  * debian/rules:
    + Changed rules to get the python versions we want to build for and
      adapted some rules to fit with the new setting.
    + Changed shell loops to make loops.
    + In case python binary modules are identical (and they are, but they
      may not be with future versions of the python headers), replace some
      of them with symbolic links.
    + Adapted rules to the fact we're installing in only one python package
      instead of several.
  * debian/pycompat: Set to 2, for new Python policy. Closes: #373457.

  * debian/control:
    + Removed Build-Dep on zlib1g-dev and python2.x-libxml2.
    + Removed dependency on zlib1g-dev and libgcrypt11-dev for libxslt1-dev.
    + Force building against libxml2-dev >= 2.6.26.dfsg-2 so that we son't get
      linked against indirect dependencies.
  * NEWS: Updated. Closes: #372755.
  * libexslt.pc.in, libxslt.pc.in: Split Libs in Libs and Libs.private.
  * configure.in, configure: Adapted to fill the variables correctly for
    libraries.
  * xslt-config.in: Added a --static option to add to --libs so that we can
    split what is needed when building statically and what is needed when
    building dynamically.
  * debian/watch: Updated.

 -- Mike Hommey <glandium@debian.org>  Sat,  1 Jul 2006 14:27:09 +0200

libxslt (1.1.17-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Build depend on libxml2 >= 2.6.25, and adapt other
    dependencies accordingly.

 -- Mike Hommey <glandium@debian.org>  Thu,  8 Jun 2006 23:45:23 +0200

libxslt (1.1.16-2) unstable; urgency=high

  * Urgency set to high, since we fix a serious bug.
  * debian/rules: Use $(CURDIR) instead of $(PWD). Fix FTBFS when using sudo
    as rootcmd. Thanks Steve Langasek for pointing out that. Closes: #368872.
  * debian/libxslt1-dev.doc-base:
    Remove /usr/share/doc/libxslt1-dev/EXSLT/*.html, since there are no such
    files in the directory.
  * debian/control: Bumped Standards-Version to 3.7.2.0. No changes needed.

 -- Mike Hommey <glandium@debian.org>  Thu, 25 May 2006 23:57:32 +0200

libxslt (1.1.16-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Changed libxslt1-dbg's priority to extra. Also removed
    priority optional on other packages since they inherit it from the source
    package.
  * debian/control: Bumped Standards-Version to 3.7.0.0. No changes needed.
  * libxslt/Makefile.am, libxslt/Makefile.in: Fixed libxslt-plugins directory
    creation.

 -- Mike Hommey <glandium@debian.org>  Tue,  2 May 2006 22:56:40 +0200

libxslt (1.1.15-5) unstable; urgency=low

  * debian/rules:
    + Correctly strip python modules.
    + Added dh_compress in binary-indep, so that the changelog gets compressed.
    + Also added some more debhelper stuff in binary-indep (dh_installdeb and
      dh_fixperms). It's better to have these just in case.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Mar 2006 19:48:34 +0100

libxslt (1.1.15-4) unstable; urgency=low

  * debian/control: Removed python2.2-libxslt and build-dep on python2.2-dev
    and python2.2-libxml2. Closes: #351126.
  * doc/xsltproc.xml, doc/xsltproc.1: Applied patch from upstream cvs.  That
    improves the manual page by many ways, and Closes: #345496, #353557.
    Thanks Daniel Leidert.
  * doc/xsltproc.html: Manually updated with changes from the .xml file.
  * libxslt/preproc.c:
    + Fixed spurious free() when xsl:number/@lang is present.
    + Fixed spurious free() when xsl:number/@level has an invalid value.
    + Added a message about the fact that xsl:number/@lang is no implemented.
    Closes: #347542.

 -- Mike Hommey <glandium@debian.org>  Mon, 20 Feb 2006 11:21:15 +0100

libxslt (1.1.15-3) unstable; urgency=low

  * debian/control, debian/rules: Added a libxslt1-dbg package containing
    debug symlbols for the library and the utilities. We don't provide the
    symbols for the python modules, though.
  * debian/control, debian/compat: Adjust build dependencies and debhelper
    compatibility accordingly.

 -- Mike Hommey <glandium@debian.org>  Tue, 31 Jan 2006 20:14:48 +0100

libxslt (1.1.15-2) unstable; urgency=low

  * autogen.sh: Use automake1.9, as upstream does, and run it.
  * python/libxslt-python-api.xml: Fixed some Python accessor functions.
    Closes: #326982.
  * libxslt/pattern.c: Fixed problem in internal XPath compilation
    of patterns including variables. Closes: #334784.
  * debian/control: Bumped Standards-Version to 3.6.2.1. No changes needed.

 -- Mike Hommey <glandium@debian.org>  Sat,  3 Dec 2005 09:37:43 +0100

libxslt (1.1.15-1) unstable; urgency=low

  * New upstream release
  * debian/control: Removed dummy package. Closes: #322053.
  * configure.in, Makefile.am, debian/control, debian/rules: Removed support
    for deprecated libxsltbreakpoint.
  * breakpoint/, debian/libxslt1.install: Removed.

 -- Mike Hommey <glandium@debian.org>  Sun, 11 Sep 2005 16:34:34 +0200

libxslt (1.1.14-1) unstable; urgency=low

  * The "Sarge got released but I was offline, so couldn't upload" release.
  * New upstream release.
  * debian/control: Depends on libxml2 >= 2.6.17.

 -- Mike Hommey <glandium@debian.org>  Sat,  9 Jul 2005 09:31:35 +0200

libxslt (1.1.12-8) unstable; urgency=low

  * The "Let's do it cleaner" release.
  * debian/rules: fix installation of python files and make proper use of
    DESTDIR at install time.

 -- Mike Hommey <glandium@debian.org>  Mon, 28 Mar 2005 19:04:55 +0200

libxslt (1.1.12-7) unstable; urgency=low

  * debian/watch: use svn-upgrade instead of uupdate.
  * debian/control, debian/rules, debian/python-libxslt1.*.in:
    Added support for several python bindings packages. Currently for python
    2.2, 2.3 and 2.4.
  * debian/python2.3-libxslt1.*: Removed.
  * debian/control: Some clean-up in dependencies.

 -- Mike Hommey <glandium@debian.org>  Mon, 28 Mar 2005 17:21:15 +0200

libxslt (1.1.12-6) unstable; urgency=high

  * Urgency set to high because we avoid breaking packages depending on us
    when we don't properly bytecompile our python bindings.
  * debian/rules: Call dh_python. We now get proper maintainer scripts for
    bytecompiling files at install time and removing them at removal time.
  * debian/control: Adjust build dependencies accordingly.

 -- Mike Hommey <glandium@debian.org>  Tue, 22 Mar 2005 22:18:08 +0100

libxslt (1.1.12-5) unstable; urgency=low

  * debian/control: Oops, build-deps still depended on the transitional
    package libxml2-python2.3. Now fixed. Closes: #293828.

 -- Mike Hommey <glandium@debian.org>  Wed,  9 Feb 2005 18:09:23 +0100

libxslt (1.1.12-4) unstable; urgency=low

  * Upload to unstable, targetted for sarge.
  * Changed my maintainer address to the fresh new Debian one.
  * debian/rules: Added changelog and copyright files in dummy package.
  * debian/libxslt1-dev.doc-base: Fixed files sections. Closes: #281244.

 -- Mike Hommey <glandium@debian.org>  Sat,  5 Feb 2005 15:08:18 +0100

libxslt (1.1.12-3) experimental; urgency=low

  * debian/control: Added a dummy libxslt1-python2.3 package for smooth
    transition. Removed conflict of python2.3-libxslt1 on libxslt1-python2.3.
  * debian/rules: Added rules to build the dummy libxslt1-python2.3 package.

 -- Mike Hommey <mh@glandium.org>  Sat, 13 Nov 2004 16:21:53 +0900

libxslt (1.1.12-2) experimental; urgency=low

  * debian/control:
    + Build-dep against libxml2 >= 2.6.15. Closes: #280129.
    + Changed libxslt1-python2.3's name to python2.3-libxslt1.
  * debian/libxslt1-python2.3.*: Renamed to python2.3-libxslt1.*.
  * libexslt/date.c: Fixes for date:{day-of|}week-in-month functions.
    Closes: #279924, #279926.

 -- Mike Hommey <mh@glandium.org>  Mon,  8 Nov 2004 00:41:05 +0900

libxslt (1.1.12-1) experimental; urgency=low

  * New upstream release

 -- Mike Hommey <mh@glandium.org>  Sun, 31 Oct 2004 13:44:02 +0900

libxslt (1.1.11-1) experimental; urgency=low

  * New upstream release

 -- Mike Hommey <mh@glandium.org>  Sat, 16 Oct 2004 17:46:35 +0900

libxslt (1.1.8-5) unstable; urgency=low

  * doc/EXSLT/API*, doc/EXSLT/html: Added missing documentation in upstream
    tarball.
  * Changed the way we install docs.
    + debian/*.docs: removed.
    + debian/rules: added common documents to dh_installdocs ; manually
      install documentation in /usr/share/doc/libxslt1-dev.
    + debian/libxslt1-dev.install: install documentation through that file.
    + debian/libxslt1-dev.doc-base: Fit the new documentation location.
  * debian/libxslt1-python2.3.install: don't install .a and .la files.
  * debian/rules: don't compress examples. Closes: #275771
  * debian/xsltproc.presubj, debian/rules: removed reportbug pre-subject
    message.
  * debian/README.Debian: Added a recommendation to upgrade package if user
    needs heavy standards compliance.

 -- Mike Hommey <mh@glandium.org>  Sat, 16 Oct 2004 17:13:23 +0900

libxslt (1.1.8-4) unstable; urgency=high

  * debian/control: Build-depends upon libgcrypt11-dev for crypto extensions
    to libexslt. That avoids libxslt not building the crypto extensions when
    it is not present.
    Added dependency on libgcrypt11-dev to libxslt1-dev to avoid bugs like
    #265952 in third party packages.
    Programs linking to libexslt don't need to be rebuilt since the ABI with
    or without is the same. It's just that crypto extensions won't work.
  * Urgency set to high because that is quite annoying to not provide the same
    functionalities on different arches in a release.

 -- Mike Hommey <mh@glandium.org>  Sun, 22 Aug 2004 22:55:36 +0900

libxslt (1.1.8-3) unstable; urgency=low

  * debian/control: Remove Build-Depends on python.
  * debian/rules: Several changes to the build system, including additions
    of workarounds for svn-buildpackage and dpkg-buildpackage to be idempotent.
  * debian/*.install: Removed all references to manual pages.
  * debian/*.manpages: Added appropriate references to manual pages.

 -- Mike Hommey <mh@glandium.org>  Sun,  1 Aug 2004 19:27:20 +0900

libxslt (1.1.8-2) unstable; urgency=low

  * Add a Build-Depends on python (closes: #260579)

 -- Mike Hommey <mh@glandium.org>  Wed, 21 Jul 2004 12:46:05 +0200

libxslt (1.1.8-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Added a watch file for DEHS.

 -- Mike Hommey <mh@glandium.org>  Wed,  7 Jul 2004 00:59:29 +0900

libxslt (1.1.7-1) unstable; urgency=low

  * New upstream release
  * debian/libxslt1-dev.doc-base: Changed Index. Closes: #227035.

 -- Mike Hommey <mh@glandium.org>  Mon, 17 May 2004 18:16:26 +0900

libxslt (1.1.6-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Added a workaround for python/libxslt-py.c file to recover
    its original state after build (to avoid pollution of svn and diff file).
  * debian/control:
    + Added dependency on libz-dev for libxslt1-dev.
    + Changed the Build dependency on python-dev to python2.3-dev, since
      we are building libxslt1-python_2.3_.

 -- Mike Hommey <mh@glandium.org>  Tue, 20 Apr 2004 14:29:42 +0900

libxslt (1.1.5-1) unstable; urgency=low

  * New upstream release
    - Build depend and depend on libxml2 >= 2.6.8.
  * New maintainer upload
  * Maintainer set to Debian SGML/XML Group ; added myself to Uploaders

 -- Mike Hommey <mh@glandium.org>  Wed,  7 Apr 2004 10:23:00 +0900

libxslt (1.1.4-1) unstable; urgency=low

  * NMU, the new version is needed by gnome2.6.
  * New upstream release (Closes: #239682).

 -- Jerry Haltom <wasabi@larvalstage.net>  Sun, 28 Mar 2004 10:54:49 -0600

libxslt (1.1.2-3) unstable; urgency=high

  * Conflict with libxslt1 less than 1.1.2-2. (closes: #227239, #227242)
  * Urgency high because this really needs to go into testing.

 -- Graham Wilson <graham@debian.org>  Mon, 12 Jan 2004 21:16:00 +0000

libxslt (1.1.2-2) unstable; urgency=medium

  * In docs/, only build the man page (I can't make up my mind).
  * Move autogen.sh into the toplevel directory.
  * Fix doc-base file.
  * Fix typo in description. (closes: #225629)
  * Make libxslt1 only provide the deprecated libxsltbreakpoint, and just
    depend on libxslt1.1 for the rest of it. This should alleviate the
    breakage. (closes: #226660, #226866)

 -- Graham Wilson <graham@debian.org>  Fri, 09 Jan 2004 05:00:27 +0000

libxslt (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Build the docs; it can't really hurt.

 -- Graham Wilson <graham@debian.org>  Sat, 27 Dec 2003 03:09:02 +0000

libxslt (1.1.1-2) unstable; urgency=medium

  * Change URL in xsltproc presubj file.
  * libxslt1 -> libxslt1.1 since libxsltbreakpoint was dropped. Thanks
    to Steve Langasek for the help. (closes: #224647, #224824)

 -- Graham Wilson <graham@debian.org>  Tue, 23 Dec 2003 07:42:38 +0000

libxslt (1.1.1-1) unstable; urgency=low

  * Don't prevent autogenerated files from being modified.
  * New upstream release.
    - Build depend and depend on libxml2 >= 2.6.3.
  * Documentation:
    - Temporarily install docs into a version-independent directory, so
      we don't have to change it every time.
    - Don't ever rebuild the docs.
  * Add a presubj file for xsltproc.

 -- Graham Wilson <graham@debian.org>  Thu, 18 Dec 2003 17:06:48 +0000

libxslt (1.0.33-3) unstable; urgency=medium

  * Link against the recently-built libxslt, not the one that might be
    installed. (closes: #215964)

 -- Graham Wilson <graham@debian.org>  Mon, 20 Oct 2003 18:02:22 +0000

libxslt (1.0.33-2) unstable; urgency=low

  * Run debian/save even if not executable. (closes: #211386)

 -- Graham Wilson <graham@debian.org>  Wed, 17 Sep 2003 14:39:52 +0000

libxslt (1.0.33-1) unstable; urgency=low

  * New maintainer. (closes: #210203)
  * New upstream version.
  * Attempt to update description. (closes: #209780)
  * Convert changelog to UTF-8.
  * Increment standards version.
  * Use automake 1.6 in autogen.sh, instead of 1.7.
  * Save and restore files that autotools modify or remove.

 -- Graham Wilson <graham@debian.org>  Tue, 16 Sep 2003 22:54:21 +0000

libxslt (1.0.32-1) unstable; urgency=low

  * New upstream release
    - fixes preventing a new attribute from replacing the old one
      (closes: Bug#194581)
    - fixes xsltproc segfaulting on valid markup
      (closes: Bug#193823)
    - verified XML entities are retrieved locally per catalog entries
      (closes: Bug#116877)
  * debian/control: upgraded build dependencies on 'libxml2*' to '=> 2.5.10'
  * debian/control: changed build dependency on 'python2.3-dev' to 'python-dev'
  * debian/control: added build dependency on 'zlib1g-dev (>= 1:1.1.4)'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 31 Aug 2003 17:35:04 -0500

libxslt (1.0.31-1) unstable; urgency=low

  * New upstream release
  * debian/control: upgraded build dependencies on 'libxml2*' to '=> 2.5.8'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)
  * migrated from python2.2 to python2.3
    (closes: Bug#205070)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 20 Aug 2003 19:02:37 -0500

libxslt (1.0.30-3) unstable; urgency=low

  * libxslt1-python2.2: added examples
    (closes: Bug#197067)
  * debian/control: upgraded build dependency on 'debhelper' to '>= 4.1'

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 11 Jun 2003 19:20:52 -0500

libxslt (1.0.30-2) unstable; urgency=low

  * Added debian/TODO
  * debian/control: upgraded to Debian Policy 3.5.10 (no changes)
  * rebuild against libxml2 v2.5.7
    - fixes improper linking resulting in unresolved symbols
      (closes: Bug#193521, Bug#191014, Bug#194115)
    - fixes incorrectly processing of references with id
      (closes: Bug#194174)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed,  4 Jun 2003 19:46:33 -0500

libxslt (1.0.30-1) unstable; urgency=low

  * New upstream release
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * breakpoint/Makefile.am: added proper inter-library dependency information
    (closes: Bug#193452)
  * debian/*.docs: added NEWS

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 18 May 2003 20:14:11 -0500

libxslt (1.0.29-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#188003)
  * debian/control: updated (build) dependency on 'libxml2*' to
    '>= 2.5.6' (per configure.in script)
  * debian/control: upgraded to Debian Policy 3.5.9 (no changes)
  * debian/control: updated sections according to latest archive changes:
    - 'libxslt1-dev' from 'devel' to 'libdevel'
    - 'libxslt1-python2.2' from 'libs' to 'python'

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 25 Apr 2003 21:13:05 -0500

libxslt (1.0.27-1) unstable; urgency=low

  * New upstream release
  * debian/control: updated (build) dependency on 'libxml2-dev' to
    '>= 2.5.2' (per configure.in script)
  * debian/control: added missing (build) dependency on 'libxml2-python2.2'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Mar 2003 12:16:36 -0600

libxslt (1.0.24-2) unstable; urgency=low

  * Provide python bindings in 'libxslt1-python2.2'
    (closes: Bug#174061)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  3 Feb 2003 11:43:13 -0600

libxslt (1.0.24-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#126891, Bug#154730)
    - libxslt/xslt.h: defines 'LIBXSLT_PUBLIC' properly
      (closes: Bug#127214)
    - xsltproc: fixed namespace error
      (closes: Bug#152026, Bug#162294)
    - xsltproc: fixed to not segfault on errors
      (closes: Bug#158074)
    - libxslt: fixed to not create .memdump files
      (closes: Bug#143165)
    - updated xsltproc manual page
      (closes: Bug#162990, Bug#174078)
  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on 'debhelper' accordingly
  * debian/rules: added explicit build options
  * debian/rules: completed support for DEB_BUILD_OPTIONS
  * debian/rules: converted to 'autogen.sh'
    (closes: Bug#176553)
  * debian/control: removed obsolete build dependency on 'autotools-dev'
    (closes: Bug#162910)
  * debian/rules: converted to 'dh_install'
    - debian/libxslt1-dev.install: included pkg-config files
      (closes: Bug#127881)
    - debian/libxslt1-dev.install: included manual pages
      (closes: Bug#113449)
  * debian/rules: complete overhaul and clean-up
  * debian/control: added 'Priority' to each package
  * debian/control: added 'Provides: libxslt-dev' to 'libxslt1-dev'
  * debian/control: changed 'Conflicts: libxslt0-dev' into
    'Conflicts: libxslt-dev, libxslt0-dev' for 'libxslt1-dev'
  * debian/control: changed dependency for package 'libxslt1-dev' on the
    C library from 'libc6-dev' to 'libc6-dev | libc-dev'
  * debian/control: changed (build) dependency on 'libxml2-dev' to
    '>= 2.2.12' (per configure.in script)
  * debian/control: changed short description of packages 'libxslt1-dev'
    and 'libxslt1'
  * debian/copyright: changed 'Authors(s)' into 'Authors' (lintian warning)
  * debian/libxslt1-dev.docs: include development documentation
    (closes: Bug#138464)
  * debian/control: upgraded to Debian Policy 3.5.8

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 19 Jan 2003 18:49:58 -0600

libxslt (1.0.21-0.3) unstable; urgency=low

  * New maintainer
    (closes: Bug#174341)
  * No changes yet, just adopting the package

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 10 Jan 2003 19:19:51 -0600

libxslt (1.0.21-0.2) unstable; urgency=low

  * Add autotools-dev build-dependency (Closes: #162910)

 -- Christian Marillat <marillat@debian.org>  Tue,  1 Oct 2002 19:54:29 +0200

libxslt (1.0.21-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #154730)
  * This release fix namespace error (Closes: #162294, #152026)
  * Update build-dependency to libxml2-dev 2.4.23
  * Add support for DEB_HOST_GNU_TYPE DEB_BUILD_GNU_TYPE and
    DEB_BUILD_OPTIONS
  * Remove libxml-python build-dependency we don't have a libxml2 python
    module for python 2.2
  * Don't segfault on errors (Closes: #158074)

 -- Christian Marillat <marillat@debian.org>  Mon, 30 Sep 2002 16:34:24 +0200

libxslt (1.0.18-0.1) unstable; urgency=low

  * NMU
  * I need this version to compile the latest GNOME 2 libraries.
  * Build with --disable-gtk-doc

 -- Christian Marillat <marillat@debian.org>  Mon, 10 Jun 2002 16:16:57 +0200

libxslt (1.0.16-0.1) unstable; urgency=low

  * NMU.
  * New upstream release.
  * Doesn't create .memdump files (Closes: #143165)
  * Change doc-base Document: tag libxslt1 --> libxslt1-dev
  * Remove debian/xsltproc.1 file included by upstream.
  * Copy config.sub, config.guess from autotools-dev
  * Build-depends on python2.1-xml to build python examples files.

 -- Christian Marillat <marillat@debian.org>  Thu, 18 Apr 2002 12:04:16 +0200

libxslt (1.0.12-0.1) unstable; urgency=low

  * New upstream release (Closes:Bug#126891,Bug#127214)
  * Updated config.sub, config.guess
  * Included libxslt.1 and libexslt.1 (Closes:Bug#113449)
  * Included pkg-config files (Closes:Bug#127881)
  * Moved dev-doc to -dev package (Closes:Bug#138464)

 -- Will Newton <will@misconception.org.uk>  Fri,  8 Mar 2002 18:59:06 +0000

libxslt (1.0.6-1) unstable; urgency=low

  * New upstream release (closes:Bug#119756,Bug#118759,Bug#106627). It has
    catalog fixes, so it might fix bug 116877, I'll check with the reporter.

 -- Nicolás Lichtmaier <nick@debian.org>  Mon, 19 Nov 2001 02:34:09 -0300

libxslt (1.0.4-1) unstable; urgency=low

  * New upstream release (closes:Bug#111685).
  * Updated build-depends, this version depends on libxml2-dev 2.4.3-1.
  * Added --enable-maintainer-mode to configure invocation, I think it's
    safer this way.
  * Included .so links in the development package.
  * Added "make clean" before "make distclean" because it seems
    that the former doesn't include the latter. Much smaller diff file.
  * Broken libxml2 shlibs forces me to re-add a shlibs.local file so as to
    get the proper dependency.
  * Small update to xsltproc(1).

 -- Nicolás Lichtmaier <nick@debian.org>  Mon, 17 Sep 2001 02:23:58 -0300

libxslt (1.0.0-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#105250,Bug#105575,Bug#103203).
  * debian/rules clean no longer requires root.
  * Using DH_COMPAT=3 now.
  * Updated xsltproc manpage with new options.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 22 Jul 2001 20:41:23 -0300

libxslt (0.12.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Run libtoolize to get support for new architectures.  Closes: #103350

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

libxslt (0.12.0-1) unstable; urgency=low

  * New upstream release.
  * Now it build-depends on debhelper > 3.0.0 since we use dh_installman
    (closes:Bug#100508).
  * Readded the shlibs.local to cope with outdated libxml2 shlibs.
  * Updated xsltproc manpage with the new options added to the utility.

 -- Nicolás Lichtmaier <nick@debian.org>  Mon, 18 Jun 2001 02:05:16 -0300

libxslt (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Removed shlibs.local with fixed libxml2 dependency information.
  * Updated build-depends (closes:Bug#97654).
  * Updated xsltproc(1) manpage.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 20 May 2001 20:43:43 -0300

libxslt (0.9.0-1) unstable; urgency=low

  * New upstream release (closes:#96082).
  * Added 2 new commands to the xsltproc manpage.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 13 May 2001 03:38:32 -0300

libxslt (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Added section header to the source package.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 31 Mar 2001 00:06:41 -0300

libxslt (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Removed NEWS file.
  * Manpage: Added dash before then binary name in the NAME section.

 -- Nicolás Lichtmaier <nick@debian.org>  Tue, 13 Mar 2001 10:27:54 -0300

libxslt (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Fixed Build-depends.
  * Fixed sections.
  * Updated manpage.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat,  3 Mar 2001 22:56:39 -0300

libxslt (0.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Nicolás Lichtmaier <nick@debian.org>  Thu, 22 Feb 2001 23:09:08 -0300
